MySQL++: mysqlpp::NoExceptions Class Reference
mysqlpp::NoExceptions Class Reference

Disable exceptions in an object derived from OptionalExceptions. More...

`#include <noexceptions.h>`

## Public Member Functions

| NoExceptions (const OptionalExceptions &a)
| Constructor. More...
| ~NoExceptions ()
| Destructor. More...

## Detailed Description

Disable exceptions in an object derived from OptionalExceptions.

This class was designed to be created on the stack, taking a reference to a subclass of OptionalExceptions. (We call that our "associate" object.) On creation, we save that object's current exception state, and disable exceptions. On destruction, we restore our associate's previous state.

## Constructor & Destructor Documentation

## NoExceptions()

mysqlpp::NoExceptions::NoExceptions | ( | const OptionalExceptions & | a | ) |

inline

Constructor.

Takes a reference to an OptionalExceptions derivative, saves that object's current exception state, and disables exceptions.

## ~NoExceptions()

mysqlpp::NoExceptions::~NoExceptions | ( |  | ) |

inline

Destructor.

Restores our associate object's previous exception state.

The documentation for this class was generated from the following file:

- noexceptions.h